
Redmine - Feature #9846

Provide the way for theme developers to set the row height in SCM history view

2011-12-20 15:01 - Alex Pogodin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It's not correct to rely on the row height 20px set in source:branches/1.3-stable/public/stylesheets/application.css#L165, cause, for

example on my system (using Gnome/Linux) only checkbox takes 15px, plus cell padding etc. yields 26px total row height.

It'll be very good if we give theme authors the way to pass their settings in the branchGraph function. The 20px value for ystep is

hardcoded (source:branches/1.3-stable/public/javascripts/revision_graph.js#L29) now. I managed to override the entire function (!) in

theme.js, but I consider it is the wrong way.

BTW. I think the script /javascripts/revision_graph.js is written in awfull manner: it polutes global namespace, uses window.onload

assignment instead of adding load listener...

Related issues:

Is duplicate of Redmine - Defect #9832: Revision graph height should depend o... Closed

History

#1 - 2011-12-20 15:15 - Alex Pogodin

- File 00.png added

As seen on the screenshot attached, graph nodes are not aligned with table rows

#2 - 2011-12-20 23:18 - Toshi MARUYAMA

Try #9832 patch.

#3 - 2012-02-06 05:38 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

#9832 fixed revision graph height by JavaScript.

Files

00.png 36.9 KB 2011-12-20 Alex Pogodin
